Package it.ernytech.tdlib

## Class TdApi.UpdateServiceNotification

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateServiceNotification

Enclosing class:
  TdApi

    public static class TdApi.UpdateServiceNotification
    extends TdApi.Update

Service notification from the server. Upon receiving this the client must show a popup with the content of the notification.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.MessageContent` `content` Notification content.
`java.lang.String` `type` Notification type.

### Constructor Summary

Constructors
`UpdateServiceNotification()` Default constructor.
`UpdateServiceNotification​(java.lang.String type, TdApi.MessageContent content)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### type

    public java.lang.String type

Notification type.

#### content

    public TdApi.MessageContent content

Notification content.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateServiceNotification

    public UpdateServiceNotification()

Default constructor.

#### UpdateServiceNotification

    public UpdateServiceNotification​(java.lang.String type,
                                     TdApi.MessageContent content)

Constructor for initialization of all fields.

Parameters:
  `type` - Notification type.
  `content` - Notification content.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR